% A script to demonstrate some stuff
% 
global HLENGTH WLENGTH BLENGTH
HLENGTH = 5
WLENGTH = 5
BLENGTH = .2
sb = [0 pi]

X = linspace(-pi/2,pi/2);
Y = legs(X);
plot(X,Y);

tic
for i = 1:1000
newton('legsn',pi/2,eps,eps);
end
newtontime = toc;
newton('legsn',pi/2,eps,eps,1)

tic
for i = 1:1000
secant('legs',-pi/2,pi/2,eps,eps);
end
secanttime = toc;
secant('legs',-pi/2,pi/2,eps,eps,1)

tic
for i = 1:1000
bisect('legs',sb,eps,eps);
end
bisecttime = toc;
bisect('legs',sb,eps,eps,1)

tic
for i = 1:1000
fzero('legs',sb);
end
fzerotime=toc;
fzero('legs',sb)

newtontime
secanttime
bisecttime
fzerotime
